|
Menu location |
---|
File → Merge document... |
Workbenches |
All |
Default shortcut |
None |
Introduced in version |
- |
See also |
None |
Description
The Std MergeProjects command adds the contents of a FreeCAD file into the active document.
Usage
- Select the File →
Merge document... option from the menu.
- Select a FreeCAD file in the dialog box.
- Press the Open button.
Options
- Press Esc or the Cancel button to abort the command.
Notes
- A project cannot be merged with itself, selecting the current file is not allowed.
- FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To merge a project use the mergeProject
method of the document object.
import FreeCAD
FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
This page is retrieved from https://wiki.freecad.org/Std_MergeProjects